%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

# Generated from fog-brightbox-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fog-brightbox

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 0.0.2
Release: 2%{?dist}
Summary: Module for `fog` or standalone provider to use the Brightbox Cloud
Group: Development/Languages
License: MIT
URL: https://github.com/brightbox/fog-brightbox
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: %{?scl_prefix_ruby}ruby(release)
BuildRequires: %{?scl_prefix_ruby}rubygems-devel
BuildRequires: %{?scl_prefix_ruby}ruby
BuildRequires: %{?scl_prefix}rubygem(fog-core)
BuildRequires: %{?scl_prefix}rubygem(fog-json)
BuildRequires: %{?scl_prefix_ruby}rubygem(minitest)
BuildArch: noarch

Requires: %{?scl_prefix_ruby}ruby(release)
Requires: %{?scl_prefix_ruby}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(fog-core)
Requires: %{?scl_prefix}rubygem(fog-json)
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Module for the 'fog' gem to support Brightbox Cloud.

%package doc
Summary: Documentation for %{pkg_name}
Group: Documentation
Requires: %{?scl_prefix}%{pkg_name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}

%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
%{?scl:scl enable %{scl} - << \EOF}
ruby -Ilib -e 'Dir.glob "./spec/**/*_spec.rb", &method(:require)'
%{?scl:EOF}

popd

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/LICENSE.txt
%exclude %{gem_instdir}/.*
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fog-brightbox.gemspec
%{gem_instdir}/spec

%changelog
* Wed Nov 26 2014 Tomas Hrcka <thrcka@redhat.com> - 0.0.2-2
- Initial vagrant1 scl build

* Fri May 23 2014 Vít Ondruch <vondruch@redhat.com> - 0.0.2-1
- Initial package
